<?php

/**
 * @file
 * Default views for the privatemsg_views module.
 */

/**
 * Implementation of hook_views_default_views().
 */
function privatemsg_views_views_default_views() {
  $view = new view;
  $view->name = 'privatemsg_example';
  $view->description = 'Private message mailbox example';
  $view->tag = 'privatemsg';
  $view->view_php = '';
  $view->base_table = 'pm_message';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Private message mailbox', 'default');
  $handler->override_option('fields', array(
  'thread_msg' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'type' => 'max',
    'exclude' => 1,
    'id' => 'thread_msg',
    'table' => 'pm_index',
    'field' => 'thread_msg',
    'relationship' => 'none',
  ),
  'thread_id' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'set_precision' => FALSE,
    'precision' => 0,
    'decimal' => '.',
    'separator' => '',
    'prefix' => '',
    'suffix' => '',
    'exclude' => 1,
    'id' => 'thread_id',
    'table' => 'pm_index',
    'field' => 'thread_id',
    'relationship' => 'none',
  ),
  'thread_msg_body' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 1,
      'max_length' => '100',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 1,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'id' => 'thread_msg_body',
    'table' => 'pm_index',
    'field' => 'thread_msg_body',
    'relationship' => 'none',
  ),
  'unread_pagenum' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 1,
      'text' => '?page=[unread_pagenum]',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 1,
    'empty_zero' => 1,
    'exclude' => 1,
    'id' => 'unread_pagenum',
    'table' => 'pm_index',
    'field' => 'unread_pagenum',
    'relationship' => 'none',
  ),
  'participants' => array(
    'label' => 'Participants',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_user' => 1,
    'replace_current' => 1,
    'exclude' => 0,
    'type' => 'separator',
    'separator' => ', ',
    'id' => 'participants',
    'table' => 'pm_index',
    'field' => 'participants',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Override',
  ),
  ),
  'subject' => array(
    'label' => '',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => 'messages/view/[thread_id]',
      'link_class' => 'privatemsg-thread-link',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'exclude' => 1,
    'link_to_msg' => 1,
    'id' => 'subject',
    'table' => 'pm_message',
    'field' => 'subject',
    'relationship' => 'none',
  ),
  'count_messages' => array(
    'label' => 'Thread',
    'alter' => array(
      'alter_text' => 1,
      'text' => '<span class="privatemsg-subject">[subject]</span> - <span class="privatemsg-teaser">[thread_msg_body]</span>',
      'make_link' => 1,
      'path' => 'messages/view/[thread_id][unread_pagenum][count_messages-new-empty]',
      'link_class' => 'privatemsg-thread-link privatemsg-count-new-[count_messages-raw]',
      'alt' => '',
      'prefix' => '',
      'suffix' => ' <span class="marker privatemsg-thread-marker">[count_messages-new-string]</span>',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'type' => 'separator',
    'separator' => ', ',
    'count_filter' => 'unread',
    'exclude' => 0,
    'id' => 'count_messages',
    'table' => 'pm_index',
    'field' => 'count_messages',
    'relationship' => 'none',
    'count_deleted' => '2',
    'count_new' => '1',
    'count_blocked' => '2',
    'count_messages_fieldset' => array(
      'count_deleted' => '2',
      'count_new' => '0',
      'count_blocked' => '0',
  ),
  ),
  'updated' => array(
    'label' => 'Updated',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'link_class' => '',
      'alt' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'strip_tags' => 0,
      'html' => 0,
  ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'date_format' => 'small',
    'custom_date_format' => '',
    'type' => 'max',
    'exclude' => 0,
    'id' => 'updated',
    'table' => 'pm_index',
    'field' => 'updated',
    'relationship' => 'none',
  ),
  ));
  $handler->override_option('arguments', array(
  'uid' => array(
    'default_action' => 'default',
    'style_plugin' => 'default_summary',
    'style_options' => array(),
    'wildcard' => '',
    'wildcard_substitution' => '',
    'title' => '',
    'breadcrumb' => '',
    'default_argument_type' => 'current_user',
    'default_argument' => '',
    'validate_type' => 'user',
    'validate_fail' => 'not found',
    'break_phrase' => 0,
    'not' => 0,
    'id' => 'uid',
    'table' => 'pm_index',
    'field' => 'uid',
    'validate_user_argument_type' => 'uid',
    'validate_user_roles' => array(
      '2' => 0,
      '3' => 0,
      '4' => 0,
  ),
    'relationship' => 'none',
    'default_options_div_prefix' => '',
    'default_argument_user' => 0,
    'default_argument_fixed' => '',
    'default_argument_php' => '',
    'validate_argument_node_type' => array(
      'forum' => 0,
      'blogpost' => 0,
      'comment' => 0,
      'discussion' => 0,
      'discussion_reply' => 0,
      'help' => 0,
      'page' => 0,
      'profile' => 0,
      'site_group' => 0,
      'specialist' => 0,
  ),
    'validate_argument_node_access' => 0,
    'validate_argument_nid_type' => 'nid',
    'validate_argument_vocabulary' => array(
      '1' => 0,
      '7' => 0,
      '6' => 0,
      '8' => 0,
      '9' => 0,
      '10' => 0,
      '11' => 0,
      '14' => 0,
      '12' => 0,
      '13' => 0,
      '17' => 0,
      '16' => 0,
      '15' => 0,
  ),
    'validate_argument_type' => 'tid',
    'validate_argument_transform' => 0,
    'validate_user_restrict_roles' => 0,
    'validate_argument_node_flag_name' => '*relationship*',
    'validate_argument_node_flag_test' => 'flaggable',
    'validate_argument_node_flag_id_type' => 'id',
    'validate_argument_user_flag_name' => '*relationship*',
    'validate_argument_user_flag_test' => 'flaggable',
    'validate_argument_user_flag_id_type' => 'id',
    'validate_argument_is_member' => 'OG_VIEWS_DO_NOT_VALIDATE_MEMBERSHIP',
    'validate_argument_group_node_type' => array(
      'site_group' => 0,
  ),
    'validate_argument_php' => '',
    'override' => array(
      'button' => 'Override',
  ),
  ),
  ));
  $handler->override_option('filters', array(
  'deleted' => array(
    'operator' => '=',
    'value' => '0',
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
  ),
    'id' => 'deleted',
    'table' => 'pm_index',
    'field' => 'deleted',
    'relationship' => 'none',
  ),
  ));
  $handler->override_option('access', array(
  'type' => 'none',
  ));
  $handler->override_option('cache', array(
  'type' => 'none',
  ));
  $handler->override_option('use_ajax', TRUE);
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
  'grouping' => '',
  'override' => 1,
  'sticky' => 0,
  'order' => 'asc',
  'columns' => array(
    'thread_msg' => 'thread_msg',
    'thread_id' => 'thread_id',
    'thread_msg_body' => 'thread_msg_body',
    'unread_pagenum' => 'unread_pagenum',
    'participants' => 'participants',
    'subject' => 'subject',
    'count_messages' => 'count_messages',
    'updated' => 'updated',
  ),
  'info' => array(
    'thread_msg' => array(
      'separator' => '',
  ),
    'thread_id' => array(
      'sortable' => 0,
      'separator' => '',
  ),
    'thread_msg_body' => array(
      'separator' => '',
  ),
    'unread_pagenum' => array(
      'separator' => '',
  ),
    'participants' => array(
      'separator' => '',
  ),
    'subject' => array(
      'sortable' => 0,
      'separator' => '',
  ),
    'count_messages' => array(
      'separator' => '',
  ),
    'updated' => array(
      'sortable' => 0,
      'separator' => '',
  ),
  ),
  'default' => '-1',
  ));


  $views[$view->name] = $view;
  return $views;
}